USN-526-1: debian-goodies vulnerability
Posted on: 10/05/2007 03:25 AM

A new debian-goodies vulnerability update is available for Ubuntu Linux. Here the announcement:

Ubuntu Security Notice USN-526-1 October 04, 2007
debian-goodies vulnerability
CVE-2007-3912
==========================
==========================
=========

A security issue affects the following Ubuntu releases:

Ubuntu 6.06 LTS
Ubuntu 6.10
Ubuntu 7.04

This advisory also applies to the corresponding versions of
Kubuntu, Edubuntu, and Xubuntu.

The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 6.06 LTS:
debian-goodies 0.23ubuntu0.6.06.1

Ubuntu 6.10:
debian-goodies 0.23ubuntu0.6.10.1

Ubuntu 7.04:
debian-goodies 0.27ubuntu0.1

In general, a standard system upgrade is sufficient to affect the
necessary changes.

Details follow:

Thomas de Grenier de Latour discovered that the checkrestart program includ=
ed
in debian-goodies did not correctly handle shell meta-characters. A local
attacker could exploit this to gain the privileges of the user running
checkrestart.


Updated packages for Ubuntu 6.06 LTS:

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.06.1.dsc
Size/MD5: 541 bf3ec3bbbb718a4bdbc33c9377391207
http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.06.1.tar.gz
Size/MD5: 11792 81c701f4b438547941fc3e197fb84e0d

Architecture independent packages:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.06.1_all.deb
Size/MD5: 22430 30e986cc78aa15144858ec2c6f9539bf

Updated packages for Ubuntu 6.10:

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.10.1.dsc
Size/MD5: 541 76c493e084ce3ac73a5cf4c5aae9b8cc
http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.10.1.tar.gz
Size/MD5: 11786 110c79f2b89ca619fe984b24782b0aa6

Architecture independent packages:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.23ubuntu0.6.10.1_all.deb
Size/MD5: 22406 9ad478564241816893d229ab92ae3c00

Updated packages for Ubuntu 7.04:

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.27ubuntu0.1.dsc
Size/MD5: 634 b918441edd5ef83334adc790bddf89bd
http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.27ubuntu0.1.tar.gz
Size/MD5: 29044 586174400e41386bb78d4764fdad755a

Architecture independent packages:

http://security.ubuntu.com/ubuntu/pool/main/d/debian-goodies/debian-goo=
dies_0.27ubuntu0.1_all.deb
Size/MD5: 36804 548f700ef0b6c09dc8daaed38f0ab367


--jcjv6D8puUawUjle
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHBYLHH/9LqRcGPm0RAmSCAJ48NCq3oIkupHnnKdJanUuR9O5YBgCfdIzK
Q31WHYng1toAsM0Hy6s4tf4=
/fC
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/usn_526_1_debian_goodies_vulnerability.html)